> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get customer

> We recommend using the `GET /v2/customers/{id}` endpoint instead.



## OpenAPI

````yaml get /v1/customers/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/{id}:
    get:
      tags:
        - Customers
      summary: Get customer
      description: We recommend using the `GET /v2/customers/{id}` endpoint instead.
      operationId: getCustomerDeprecated
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CustomerDetailsV1'
        '404':
          description: Customer not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                required:
                  - message
      deprecated: true
      security:
        - bearer: []
components:
  schemas:
    CustomerDetailsV1:
      allOf:
        - $ref: '#/components/schemas/CustomerV1'
        - type: object
          properties:
            providers:
              type: object
              properties:
                adyen:
                  type: string
                stripe:
                  type: string
                mollie:
                  type: string
                gocardless:
                  type: string
                airwallex:
                  type: string
                salesforce:
                  type: string
                hubspot:
                  type: string
                attio:
                  type: string
                xero:
                  type: string
                pennylane:
                  type: string
                zoho-books:
                  type: string
                exact-online:
                  type: string
                quickbooks:
                  type: string
                netsuite:
                  type: string
                anrok:
                  type: string
                chargebee:
                  type: string
                slack:
                  type: string
                plain:
                  type: string
                zendesk:
                  type: string
                pylon:
                  type: string
                intercom:
                  type: string
                claap:
                  type: string
              deprecated: true
              description: Deprecated field, please use `integrations`.
            current_payment_method:
              allOf:
                - $ref: '#/components/schemas/PaymentMethod'
                - description: >-
                    Default payment method of the customer. Only applies to card
                    and direct debit.
            bank_account:
              allOf:
                - $ref: '#/components/schemas/BankAccount'
                - anyOf:
                    - allOf:
                        - type: object
                          properties:
                            id:
                              type: string
                              description: Bank account ID.
                              example: bac_KJyPrMA1toAqRG
                            currency:
                              type: string
                              enum:
                                - EUR
                                - AED
                                - AFN
                                - XCD
                                - ALL
                                - AMD
                                - AOA
                                - ARS
                                - USD
                                - AUD
                                - AWG
                                - AZN
                                - BAM
                                - BBD
                                - BDT
                                - BGN
                                - BHD
                                - BIF
                                - XOF
                                - BMD
                                - BND
                                - BOB
                                - BRL
                                - BSD
                                - BTN
                                - NOK
                                - BWP
                                - BYR
                                - BZD
                                - CAD
                                - CDF
                                - XAF
                                - CHF
                                - NZD
                                - CLP
                                - CNY
                                - COP
                                - CRC
                                - CUP
                                - CVE
                                - ANG
                                - CZK
                                - DJF
                                - DKK
                                - DOP
                                - DZD
                                - EGP
                                - MAD
                                - ERN
                                - ETB
                                - FJD
                                - FKP
                                - GBP
                                - GEL
                                - GHS
                                - GIP
                                - GMD
                                - GNF
                                - GTQ
                                - GYD
                                - HKD
                                - HNL
                                - HRK
                                - HTG
                                - HUF
                                - IDR
                                - ILS
                                - INR
                                - IQD
                                - IRR
                                - ISK
                                - JMD
                                - JOD
                                - JPY
                                - KES
                                - KGS
                                - KHR
                                - KMF
                                - KPW
                                - KRW
                                - KWD
                                - KYD
                                - KZT
                                - LAK
                                - LBP
                                - LKR
                                - LRD
                                - LSL
                                - LYD
                                - MDL
                                - MGA
                                - MKD
                                - MMK
                                - MNT
                                - MOP
                                - MRO
                                - MUR
                                - MVR
                                - MWK
                                - MXN
                                - MYR
                                - MZN
                                - NAD
                                - XPF
                                - NGN
                                - NIO
                                - NPR
                                - OMR
                                - PAB
                                - PEN
                                - PGK
                                - PHP
                                - PKR
                                - PLN
                                - PYG
                                - QAR
                                - RON
                                - RSD
                                - RUB
                                - RWF
                                - SAR
                                - SBD
                                - SCR
                                - SDG
                                - SEK
                                - SGD
                                - SHP
                                - SLL
                                - SOS
                                - SRD
                                - SSP
                                - STD
                                - SYP
                                - SZL
                                - THB
                                - TJS
                                - TMT
                                - TND
                                - TOP
                                - TRY
                                - TTD
                                - TWD
                                - TZS
                                - UAH
                                - UGX
                                - UYU
                                - UZS
                                - VEF
                                - VND
                                - VUV
                                - WST
                                - YER
                                - ZAR
                                - ZMW
                                - ZWL
                              description: Bank account currency.
                              example: EUR
                            bank_name:
                              type:
                                - string
                                - 'null'
                              description: Bank name.
                              example: Fake bank
                          required:
                            - id
                            - currency
                            - bank_name
                        - anyOf:
                            - type: object
                              properties:
                                format:
                                  type: string
                                  enum:
                                    - iban_bic_swift
                                iban:
                                  type: string
                                bic_swift:
                                  type:
                                    - string
                                    - 'null'
                              required:
                                - format
                                - iban
                                - bic_swift
                            - type: object
                              properties:
                                format:
                                  type: string
                                  enum:
                                    - sort_code_account_number
                                sort_code:
                                  type: string
                                account_number:
                                  type: string
                              required:
                                - format
                                - sort_code
                                - account_number
                            - type: object
                              properties:
                                format:
                                  type: string
                                  enum:
                                    - account_number_routing_number
                                account_number:
                                  type: string
                                routing_number:
                                  type: string
                              required:
                                - format
                                - account_number
                                - routing_number
                            - type: object
                              properties:
                                format:
                                  type: string
                                  enum:
                                    - account_number_bic_swift
                                account_number:
                                  type: string
                                bic_swift:
                                  type: string
                              required:
                                - format
                                - account_number
                                - bic_swift
                          example:
                            format: iban_bic_swift
                            iban: FR76XXXXXXXXXXXXXXXXXXXXXXX
                            bic_swift: XXXXXXXX
                    - type: 'null'
                  description: >-
                    Custom bank account for the customer. If not defined and
                    customer paying by bank transfer, the bank accounts
                    configured in your account settings will be used.
            organisation_id:
              type:
                - string
                - 'null'
              description: Parent organization ID to which the client is attached.
              example: null
            organisation_invoicing:
              type:
                - string
                - 'null'
              enum:
                - none
                - every_invoice
                - concat
              description: >-

                How customer invoices are issued from the parent organisation.


                - `none`: Invoices will keep being issued from this customer.

                - `every_invoice`: Customer invoices will be issued from the
                organisation individually.

                - `concat`: Customer invoices will be grouped into a global
                parent invoice at a regular schedule (configured on the
                organisation).
                 
              example: null
          required:
            - providers
            - current_payment_method
            - bank_account
            - organisation_id
            - organisation_invoicing
    CustomerV1:
      type: object
      properties:
        id:
          type: string
          description: Customer ID.
          example: cus_Typ0px2W0aiEtl
        name:
          type: string
          description: Customer name.
          example: Acme
        type:
          type:
            - string
            - 'null'
          enum:
            - corporate
            - person
            - automatically_created
          description: >-

            Customer type.


            - `corporate`: The customer is a business entity.

            - `person`: The customer is a natural person.

            - `automatically_created`: The customer was automatically imported
            (e.g. from a data loader). This value cannot be used when
            creating/editing.
             
          example: corporate
        status:
          type: string
          enum:
            - active
            - archived
          description: Customer status.
          example: active
        currency:
          type:
            - string
            - 'null'
          enum:
            - EUR
            - AED
            - AFN
            - XCD
            - ALL
            - AMD
            - AOA
            - ARS
            - USD
            - AUD
            - AWG
            - AZN
            - BAM
            - BBD
            - BDT
            - BGN
            - BHD
            - BIF
            - XOF
            - BMD
            - BND
            - BOB
            - BRL
            - BSD
            - BTN
            - NOK
            - BWP
            - BYR
            - BZD
            - CAD
            - CDF
            - XAF
            - CHF
            - NZD
            - CLP
            - CNY
            - COP
            - CRC
            - CUP
            - CVE
            - ANG
            - CZK
            - DJF
            - DKK
            - DOP
            - DZD
            - EGP
            - MAD
            - ERN
            - ETB
            - FJD
            - FKP
            - GBP
            - GEL
            - GHS
            - GIP
            - GMD
            - GNF
            - GTQ
            - GYD
            - HKD
            - HNL
            - HRK
            - HTG
            - HUF
            - IDR
            - ILS
            - INR
            - IQD
            - IRR
            - ISK
            - JMD
            - JOD
            - JPY
            - KES
            - KGS
            - KHR
            - KMF
            - KPW
            - KRW
            - KWD
            - KYD
            - KZT
            - LAK
            - LBP
            - LKR
            - LRD
            - LSL
            - LYD
            - MDL
            - MGA
            - MKD
            - MMK
            - MNT
            - MOP
            - MRO
            - MUR
            - MVR
            - MWK
            - MXN
            - MYR
            - MZN
            - NAD
            - XPF
            - NGN
            - NIO
            - NPR
            - OMR
            - PAB
            - PEN
            - PGK
            - PHP
            - PKR
            - PLN
            - PYG
            - QAR
            - RON
            - RSD
            - RUB
            - RWF
            - SAR
            - SBD
            - SCR
            - SDG
            - SEK
            - SGD
            - SHP
            - SLL
            - SOS
            - SRD
            - SSP
            - STD
            - SYP
            - SZL
            - THB
            - TJS
            - TMT
            - TND
            - TOP
            - TRY
            - TTD
            - TWD
            - TZS
            - UAH
            - UGX
            - UYU
            - UZS
            - VEF
            - VND
            - VUV
            - WST
            - YER
            - ZAR
            - ZMW
            - ZWL
          description: >-
            Currency code. See [ISO
            4217](https://en.wikipedia.org/wiki/ISO_4217#List_of_ISO_4217_currency_codes).
          example: EUR
        country:
          type:
            - string
            - 'null'
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BF
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PT-20
            - PT-30
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          description: >-
            Two-letter country code in ISO format. See [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: FR
        vat_number:
          type:
            - string
            - 'null'
          description: Deprecated field, please use `tax_ids`.
          deprecated: true
        vat_number_valid:
          type: boolean
          description: Deprecated field, please use `tax_ids`.
          deprecated: true
        vat_rate_custom:
          type:
            - number
            - 'null'
          description: Deprecated field, please use `tax_rate_custom`.
          deprecated: true
        tax_ids:
          type: array
          items:
            type: object
            properties:
              value:
                type: string
                description: Value of the customer tax ID.
                example: FR123456789
              status:
                type: string
                enum:
                  - valid
                  - invalid
                  - mismatch
                  - unverified
                  - unsupported
                description: >-

                  Verification status of the customer tax ID.


                  - `valid`: Tax ID has been verified and is valid.

                  - `invalid`: Tax ID has been verified and is invalid.

                  - `mismatch`: Tax ID is valid but is for a different country
                  than the customer's country.

                  - `unverified`: Tax ID has not been verified yet.

                  - `unsupported`: Tax ID verification for this type not
                  supported yet.
                   
                example: valid
            required:
              - value
              - status
          description: Customer tax IDs.
        tax_rate_custom:
          type:
            - number
            - 'null'
          minimum: 0
          maximum: 100
          description: >-
            Customer custom tax rate. If not defined, the rate will be
            automatically determined based on the customer's country, your
            country, and applicable legal requirements.
        taxability:
          type: string
          enum:
            - taxable
            - exempt
          description: |-
            Customer taxability.

            - `taxable`: Taxes are automatically determined for the customer.
            - `exempt`: The customer is exempt from tax.
             
          example: taxable
        registration_number:
          type:
            - string
            - 'null'
          description: Customer registration number.
          example: '36252187900034'
        is_government_affiliated:
          type: boolean
          description: Indicates if the customer is affiliated with a government entity.
          example: false
        language:
          type:
            - string
            - 'null'
          enum:
            - fr
            - en
            - de
            - it
            - nl
            - es
            - pt
            - pl
          description: Language used for invoices, emails, and hosted pages.
          example: fr
        timezone:
          type:
            - string
            - 'null'
          enum:
            - Pacific/Midway
            - Pacific/Pago_Pago
            - Pacific/Niue
            - Pacific/Rarotonga
            - Pacific/Honolulu
            - Pacific/Tahiti
            - Pacific/Marquesas
            - Pacific/Gambier
            - America/Adak
            - America/Anchorage
            - Pacific/Pitcairn
            - America/Hermosillo
            - America/Phoenix
            - America/Los_Angeles
            - America/Tijuana
            - America/Vancouver
            - America/Whitehorse
            - America/Belize
            - America/Guatemala
            - America/Managua
            - America/Mexico_City
            - America/Costa_Rica
            - America/El_Salvador
            - America/Regina
            - America/Tegucigalpa
            - Pacific/Easter
            - Pacific/Galapagos
            - America/Edmonton
            - America/Ciudad_Juarez
            - America/Denver
            - America/Rio_Branco
            - America/Chicago
            - America/Matamoros
            - America/Winnipeg
            - America/Bogota
            - America/Atikokan
            - America/Cancun
            - America/Cayman
            - America/Jamaica
            - America/Panama
            - America/Guayaquil
            - America/Lima
            - America/Manaus
            - America/St_Kitts
            - America/Blanc-Sablon
            - America/Montserrat
            - America/Barbados
            - America/Port_of_Spain
            - America/Martinique
            - America/St_Lucia
            - America/St_Barthelemy
            - America/St_Vincent
            - America/Kralendijk
            - America/Guadeloupe
            - America/Marigot
            - America/Aruba
            - America/Lower_Princes
            - America/Tortola
            - America/Dominica
            - America/St_Thomas
            - America/Grenada
            - America/Antigua
            - America/Puerto_Rico
            - America/Santo_Domingo
            - America/Anguilla
            - America/Curacao
            - America/La_Paz
            - America/Santiago
            - America/Havana
            - America/Nassau
            - America/New_York
            - America/Port-au-Prince
            - America/Grand_Turk
            - America/Toronto
            - America/Guyana
            - America/Caracas
            - America/Argentina/Buenos_Aires
            - America/Halifax
            - Atlantic/Bermuda
            - America/Thule
            - America/Sao_Paulo
            - Antarctica/Palmer
            - America/Punta_Arenas
            - Atlantic/Stanley
            - America/Cayenne
            - America/Asuncion
            - America/Paramaribo
            - America/Montevideo
            - America/St_Johns
            - America/Noronha
            - Atlantic/South_Georgia
            - America/Miquelon
            - Atlantic/Cape_Verde
            - America/Nuuk
            - Atlantic/Azores
            - Etc/UTC
            - Africa/Abidjan
            - Africa/Bamako
            - Africa/Bissau
            - Africa/Conakry
            - Africa/Dakar
            - America/Danmarkshavn
            - Africa/Freetown
            - Atlantic/St_Helena
            - Africa/Accra
            - Africa/Lome
            - Africa/Monrovia
            - Africa/Nouakchott
            - Africa/Ouagadougou
            - Atlantic/Reykjavik
            - Africa/Sao_Tome
            - Africa/Banjul
            - Africa/Algiers
            - Africa/Tunis
            - Europe/Isle_of_Man
            - Europe/Dublin
            - Europe/London
            - Europe/Jersey
            - Europe/Guernsey
            - Africa/Bangui
            - Africa/Malabo
            - Africa/Brazzaville
            - Africa/Porto-Novo
            - Africa/Douala
            - Africa/Kinshasa
            - Africa/Lagos
            - Africa/Libreville
            - Africa/Luanda
            - Africa/Ndjamena
            - Africa/Niamey
            - Africa/Casablanca
            - Africa/El_Aaiun
            - Atlantic/Canary
            - Europe/Lisbon
            - Atlantic/Faroe
            - Africa/Bujumbura
            - Africa/Gaborone
            - Africa/Harare
            - Africa/Juba
            - Africa/Khartoum
            - Africa/Kigali
            - Africa/Blantyre
            - Africa/Lubumbashi
            - Africa/Lusaka
            - Africa/Maputo
            - Africa/Windhoek
            - Europe/Andorra
            - Europe/Belgrade
            - Europe/Berlin
            - Europe/Bratislava
            - Europe/Brussels
            - Europe/Budapest
            - Europe/Copenhagen
            - Europe/Gibraltar
            - Europe/Ljubljana
            - Arctic/Longyearbyen
            - Europe/Luxembourg
            - Europe/Madrid
            - Europe/Monaco
            - Europe/Oslo
            - Europe/Paris
            - Europe/Podgorica
            - Europe/Prague
            - Europe/Rome
            - Europe/Amsterdam
            - Europe/San_Marino
            - Europe/Malta
            - Europe/Sarajevo
            - Europe/Skopje
            - Europe/Stockholm
            - Europe/Tirane
            - Europe/Vaduz
            - Europe/Vatican
            - Europe/Vienna
            - Europe/Warsaw
            - Europe/Zagreb
            - Europe/Zurich
            - Europe/Kaliningrad
            - Africa/Tripoli
            - Antarctica/Troll
            - Africa/Johannesburg
            - Africa/Mbabane
            - Africa/Maseru
            - Asia/Kuwait
            - Asia/Bahrain
            - Asia/Baghdad
            - Asia/Qatar
            - Asia/Riyadh
            - Asia/Aden
            - Asia/Amman
            - Asia/Damascus
            - Africa/Addis_Ababa
            - Indian/Antananarivo
            - Africa/Asmara
            - Africa/Dar_es_Salaam
            - Africa/Djibouti
            - Africa/Kampala
            - Indian/Mayotte
            - Africa/Mogadishu
            - Indian/Comoro
            - Africa/Nairobi
            - Europe/Athens
            - Asia/Beirut
            - Europe/Bucharest
            - Africa/Cairo
            - Europe/Chisinau
            - Asia/Hebron
            - Europe/Helsinki
            - Europe/Kyiv
            - Europe/Mariehamn
            - Asia/Nicosia
            - Europe/Riga
            - Europe/Sofia
            - Europe/Tallinn
            - Europe/Vilnius
            - Asia/Jerusalem
            - Europe/Minsk
            - Europe/Moscow
            - Europe/Simferopol
            - Antarctica/Syowa
            - Europe/Istanbul
            - Asia/Tehran
            - Asia/Yerevan
            - Asia/Baku
            - Asia/Tbilisi
            - Asia/Dubai
            - Asia/Muscat
            - Indian/Mauritius
            - Indian/Reunion
            - Europe/Samara
            - Indian/Mahe
            - Asia/Kabul
            - Indian/Kerguelen
            - Asia/Almaty
            - Indian/Maldives
            - Antarctica/Mawson
            - Asia/Karachi
            - Asia/Dushanbe
            - Asia/Ashgabat
            - Asia/Tashkent
            - Asia/Yekaterinburg
            - Asia/Colombo
            - Asia/Kolkata
            - Asia/Kathmandu
            - Asia/Dhaka
            - Asia/Thimphu
            - Asia/Urumqi
            - Indian/Chagos
            - Asia/Bishkek
            - Asia/Omsk
            - Indian/Cocos
            - Asia/Yangon
            - Indian/Christmas
            - Antarctica/Davis
            - Asia/Hovd
            - Asia/Bangkok
            - Asia/Ho_Chi_Minh
            - Asia/Phnom_Penh
            - Asia/Vientiane
            - Asia/Novosibirsk
            - Asia/Jakarta
            - Antarctica/Casey
            - Australia/Perth
            - Asia/Brunei
            - Asia/Makassar
            - Asia/Macau
            - Asia/Shanghai
            - Asia/Hong_Kong
            - Asia/Irkutsk
            - Asia/Kuala_Lumpur
            - Asia/Manila
            - Asia/Singapore
            - Asia/Taipei
            - Asia/Ulaanbaatar
            - Australia/Eucla
            - Asia/Jayapura
            - Asia/Tokyo
            - Asia/Pyongyang
            - Asia/Seoul
            - Pacific/Palau
            - Asia/Dili
            - Asia/Chita
            - Australia/Adelaide
            - Australia/Darwin
            - Australia/Brisbane
            - Australia/Sydney
            - Pacific/Guam
            - Pacific/Saipan
            - Pacific/Chuuk
            - Antarctica/DumontDUrville
            - Pacific/Port_Moresby
            - Asia/Vladivostok
            - Australia/Lord_Howe
            - Pacific/Bougainville
            - Pacific/Kosrae
            - Pacific/Noumea
            - Pacific/Norfolk
            - Asia/Sakhalin
            - Pacific/Guadalcanal
            - Pacific/Efate
            - Pacific/Fiji
            - Pacific/Tarawa
            - Asia/Kamchatka
            - Pacific/Majuro
            - Pacific/Nauru
            - Pacific/Auckland
            - Antarctica/McMurdo
            - Pacific/Funafuti
            - Pacific/Wake
            - Pacific/Wallis
            - Pacific/Chatham
            - Pacific/Kanton
            - Pacific/Apia
            - Pacific/Fakaofo
            - Pacific/Tongatapu
            - Pacific/Kiritimati
          description: Customer timezone.
          example: Europe/Paris
        external_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the customer in your system. This helps matching your customer
            with the one on Hyperline.
          example: null
        properties:
          type:
            - object
            - 'null'
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: 'null'
              - type: array
                items:
                  anyOf:
                    - type: string
                    - type: number
                    - type: boolean
                    - type: 'null'
                    - type: 'null'
              - type: 'null'
          description: Key/value pairs to store any metadata useful in your context.
          example: null
        custom_properties:
          type:
            - object
            - 'null'
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: string
                format: date-time
                description: >-
                  UTC date time string in the [ISO
                  8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-12-20T16:04:11Z'
              - type: array
                items:
                  type: string
              - type: 'null'
          description: >-
            A list of key value with the slug of the custom property as the key
            and the custom property value as value.
        billing_address:
          allOf:
            - $ref: '#/components/schemas/Address'
            - type: object
        shipping_address:
          type:
            - object
            - 'null'
          properties:
            name:
              type:
                - string
                - 'null'
              description: Address name.
              example: Acme
            line1:
              type:
                - string
                - 'null'
              description: Address first line.
              example: 5 rue de Paradis
            line2:
              type:
                - string
                - 'null'
              description: Address second line (optional).
              example: null
            city:
              type:
                - string
                - 'null'
              description: Address city.
              example: Paris
            zip:
              type:
                - string
                - 'null'
              description: Address ZIP code.
              example: '75010'
            state:
              type:
                - string
                - 'null'
              enum:
                - AA
                - AE
                - AK
                - AL
                - AP
                - AR
                - AS
                - AZ
                - CA
                - CO
                - CT
                - DC
                - DE
                - FL
                - GA
                - GU
                - HI
                - IA
                - ID
                - IL
                - IN
                - KS
                - KY
                - LA
                - MA
                - MD
                - ME
                - MI
                - MN
                - MO
                - MP
                - MS
                - MT
                - NC
                - ND
                - NE
                - NH
                - NJ
                - NM
                - NV
                - NY
                - OH
                - OK
                - OR
                - PA
                - PR
                - RI
                - SC
                - SD
                - TN
                - TX
                - UT
                - VA
                - VI
                - VT
                - WA
                - WI
                - WV
                - WY
              description: >-
                Only for US country. Second part of subdivision code in ISO
                format. See [ISO
                3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US).
              example: CA
            country:
              type:
                - string
                - 'null'
              enum:
                - AD
                - AE
                - AF
                - AG
                - AI
                - AL
                - AM
                - AO
                - AQ
                - AR
                - AS
                - AT
                - AU
                - AW
                - AX
                - AZ
                - BA
                - BB
                - BD
                - BE
                - BG
                - BH
                - BI
                - BJ
                - BL
                - BM
                - BN
                - BO
                - BQ
                - BR
                - BS
                - BT
                - BF
                - BV
                - BW
                - BY
                - BZ
                - CA
                - CC
                - CD
                - CF
                - CG
                - CH
                - CI
                - CK
                - CL
                - CM
                - CN
                - CO
                - CR
                - CU
                - CV
                - CW
                - CX
                - CY
                - CZ
                - DE
                - DJ
                - DK
                - DM
                - DO
                - DZ
                - EC
                - EE
                - EG
                - EH
                - ER
                - ES
                - ET
                - FI
                - FJ
                - FK
                - FM
                - FO
                - FR
                - GA
                - GB
                - GD
                - GE
                - GF
                - GG
                - GH
                - GI
                - GL
                - GM
                - GN
                - GP
                - GQ
                - GR
                - GS
                - GT
                - GU
                - GW
                - GY
                - HK
                - HM
                - HN
                - HR
                - HT
                - HU
                - IC
                - ID
                - IE
                - IL
                - IM
                - IN
                - IO
                - IQ
                - IR
                - IS
                - IT
                - JE
                - JM
                - JO
                - JP
                - KE
                - KG
                - KH
                - KI
                - KM
                - KN
                - KP
                - KR
                - KW
                - KY
                - KZ
                - LA
                - LB
                - LC
                - LI
                - LK
                - LR
                - LS
                - LT
                - LU
                - LV
                - LY
                - MA
                - MC
                - MD
                - ME
                - MF
                - MG
                - MH
                - MK
                - ML
                - MM
                - MN
                - MO
                - MP
                - MQ
                - MR
                - MS
                - MT
                - MU
                - MV
                - MW
                - MX
                - MY
                - MZ
                - NA
                - NC
                - NE
                - NF
                - NG
                - NI
                - NL
                - 'NO'
                - NP
                - NR
                - NU
                - NZ
                - OM
                - PA
                - PE
                - PF
                - PG
                - PH
                - PK
                - PL
                - PM
                - PN
                - PR
                - PS
                - PT
                - PT-20
                - PT-30
                - PW
                - PY
                - QA
                - RE
                - RO
                - RS
                - RU
                - RW
                - SA
                - SB
                - SC
                - SD
                - SE
                - SG
                - SH
                - SI
                - SJ
                - SK
                - SL
                - SM
                - SN
                - SO
                - SR
                - SS
                - ST
                - SV
                - SX
                - SY
                - SZ
                - TC
                - TD
                - TF
                - TG
                - TH
                - TJ
                - TK
                - TL
                - TM
                - TN
                - TO
                - TR
                - TT
                - TV
                - TW
                - TZ
                - UA
                - UG
                - UM
                - US
                - UY
                - UZ
                - VA
                - VC
                - VE
                - VG
                - VI
                - VN
                - VU
                - WF
                - WS
                - XK
                - YE
                - YT
                - ZA
                - ZM
                - ZW
              description: >-
                Two-letter country code in ISO format. See [ISO 3166-1
                alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
              example: FR
          description: Customer shipping address.
        billing_email:
          type:
            - string
            - 'null'
          format: email
          description: Email to which all communications will be sent.
          example: billing@acme.com
        invoice_emails:
          type: array
          items:
            type: string
            format: email
          description: >-
            Emails to which invoices will be sent (e.g. payer, finance team,
            accounting firm). If not defined, invoices will be sent to the
            `billing_email`; otherwise, they won't be sent to the
            `billing_email`.
          example:
            - accounting@acme.com
        invoicing_entity_id:
          type: string
          description: ID of the invoicing entity this customer will be attached to.
          example: ive_484dn4U48E
        invoice_reminders_enabled:
          anyOf:
            - type: boolean
            - type: string
              enum:
                - 'true'
                - 'false'
          description: Indicates if invoice reminders are enabled for the customer.
        price_book_id:
          type:
            - string
            - 'null'
          description: Default price book ID assigned to the customer.
          example: prib_613_WbVIZ1329e
        available_payment_methods:
          type: array
          items:
            type: string
            enum:
              - card
              - apple_pay
              - google_pay
              - direct_debit
              - direct_debit_ach
              - direct_debit_bacs
              - stripe_link
              - transfer
              - transfer_automated
          description: >-
            List of payment methods you allow your customer to pay with. You
            customer will be able to select one of them in their portal page and
            those will be the default options when creating a checkout session.
          example:
            - card
            - direct_debit
        current_payment_method_type:
          type:
            - string
            - 'null'
          enum:
            - card
            - apple_pay
            - google_pay
            - direct_debit
            - direct_debit_ach
            - direct_debit_bacs
            - stripe_link
            - transfer
            - transfer_automated
            - external
          description: >-
            Default payment method type used to pay subscriptions and one-off
            invoices.
          example: card
        current_payment_method_id:
          type:
            - string
            - 'null'
          description: >-
            ID of the default payment method of the customer. Only applies to
            card and direct debit.
          example: pm_UTclbc1US8GzCe
        custom_payment_delay:
          type:
            - number
            - 'null'
          description: >-
            Custom payment terms in days. If not defined, the default one
            defined on the related invoicing entity will be used.
          example: 30
        custom_payment_initiation_delay:
          type:
            - number
            - 'null'
          description: >-
            Custom initiation delay in days before triggering payment. If not
            defined, the default one defined on the related invoicing entity
            will be used.
          example: 7
        subscriptions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: Subscription ID.
                example: sub_0kIc7jrF7gV00V
              status:
                type: string
                enum:
                  - draft
                  - pending
                  - trialing
                  - active
                  - paused
                  - errored
                  - cancelled
                  - voided
                  - archived
                description: Status of the subscription.
                example: active
              current_period_started_at:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  Start date of the current period. UTC date time string in the
                  [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-10-12T07:00:01.860Z'
              current_period_ends_at:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  End date of the current period. UTC date time string in the
                  [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
                example: '2024-11-12T07:00:01.860Z'
              plan_id:
                type:
                  - string
                  - 'null'
                description: Plan ID.
                example: plan_34hdd843hReh
                deprecated: true
              checkout_session_id:
                type:
                  - string
                  - 'null'
                description: Checkout session ID.
                example: che_949djdj39RJj
            required:
              - id
              - status
              - current_period_started_at
              - current_period_ends_at
              - plan_id
              - checkout_session_id
        segment_ids:
          type: array
          items:
            type: string
          description: IDs of segments this customer belongs to.
          example:
            - seg_0kIc7jrF7gV00V
        integrations:
          type: array
          items:
            type: object
            properties:
              entity_id:
                type: string
                description: ID of the entity in the provider.
              provider_name:
                type: string
                enum:
                  - adyen
                  - stripe
                  - mollie
                  - gocardless
                  - airwallex
                  - salesforce
                  - hubspot
                  - attio
                  - xero
                  - pennylane
                  - zoho-books
                  - exact-online
                  - quickbooks
                  - netsuite
                  - anrok
                  - chargebee
                  - slack
                  - plain
                  - zendesk
                  - pylon
                  - intercom
                  - claap
                description: Provider name.
              provider_account_id:
                type: string
                description: ID of the connected provider account.
            required:
              - entity_id
              - provider_name
              - provider_account_id
            description: Reference to the entity in an external provider.
            example:
              entity_id: '123456789'
              provider_name: stripe
              provider_account_id: acc_1234567890
        created_at:
          type: string
          format: date-time
          description: >-
            Customer creation date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-10-12T07:00:01.860Z'
        updated_at:
          type: string
          format: date-time
          description: >-
            Customer last edition date. UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: '2024-10-12T07:00:01.860Z'
        deleted_at:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            UTC date time string in the [ISO
            8601](https://en.wikipedia.org/wiki/ISO_8601) format.
          example: null
      required:
        - id
        - name
        - type
        - status
        - currency
        - country
        - vat_number
        - vat_number_valid
        - vat_rate_custom
        - tax_ids
        - tax_rate_custom
        - taxability
        - registration_number
        - is_government_affiliated
        - language
        - timezone
        - external_id
        - properties
        - custom_properties
        - billing_address
        - shipping_address
        - billing_email
        - invoice_emails
        - invoicing_entity_id
        - invoice_reminders_enabled
        - price_book_id
        - available_payment_methods
        - current_payment_method_type
        - current_payment_method_id
        - custom_payment_delay
        - custom_payment_initiation_delay
        - subscriptions
        - segment_ids
        - integrations
        - created_at
        - updated_at
        - deleted_at
    PaymentMethod:
      anyOf:
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - active
                - pending
                - expired
                - errored
              description: >-

                Payment method status.


                - `active`: The payment method is ready to be used.

                - `pending`: The payment method is pending activation or being
                validated.
                  
              example: active
            type:
              type: string
              enum:
                - card
                - apple_pay
                - google_pay
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: card
            last_4_digits:
              type:
                - number
                - 'null'
              description: Last four digits of the card.
              example: 2718
            expiration_date:
              type:
                - string
                - 'null'
              description: Expiration date of the card using YYYY-MM format.
              example: 2027-11
            brand:
              type:
                - string
                - 'null'
              description: Brand of the card.
              examples:
                - visa
                - mastercard
                - amex
          required:
            - id
            - status
            - type
            - last_4_digits
            - expiration_date
            - brand
          title: Card
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - errored
              description: >-

                Payment method status.


                - `errored`: The payment method has failed and can no longer be
                used.
                  
              example: errored
            error_type:
              type: string
              enum:
                - authentication_required
                - authorization_error
                - insufficient_funds
                - declined
                - expired
                - fraud
                - invalid
                - mandate_invalid
                - not_supported
                - unknown
              description: >-

                Payment method error type.


                - `authentication_required`: The card was declined as the
                transaction requires authentication (e.g. 3-D Secure). The
                customer should go to their portal page and authenticate their
                card. If the error happened on an already authenticated
                transaction, the customer needs to contact their card issuer for
                more information.

                - `authorization_error`: A transaction authorization cannot be
                created for a variety of reasons such as the card issuer
                couldn't be reached, or the card requires a PIN.

                - `declined`: The payment method was declined for a variety of
                reasons such as a card reported as lost or stolen, insufficient
                funds or reaching the limit available on the method to complete
                the purchase, a payment method on a known block list, etc.

                - `expired`: The payment method is expired. The customer should
                go to their portal page and change their payment method.

                - `fraud`: The payment provider suspected the payment method was
                fraudulent and has been blocked. Don't report more detailed
                information to your customer, and check on your provider
                account.

                - `invalid`: The payment method is invalid in most cases because
                of incorrect details (card/account number, CVC, expiration date,
                postal code).

                - `not_supported`: The payment method doesn't support this type
                of purchase (e.g. currency, online payment).

                - `unknown`: A generic error happened on the payment provider
                side.
                  
              example: expired
            type:
              type: string
              enum:
                - card
                - apple_pay
                - google_pay
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: card
            last_4_digits:
              type:
                - number
                - 'null'
              description: Last four digits of the card.
              example: 2718
            expiration_date:
              type:
                - string
                - 'null'
              description: Expiration date of the card using YYYY-MM format.
              example: 2027-11
            brand:
              type:
                - string
                - 'null'
              description: Brand of the card.
              examples:
                - visa
                - mastercard
                - amex
          required:
            - id
            - status
            - error_type
            - type
            - last_4_digits
            - expiration_date
            - brand
          title: Card (errored)
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - active
                - pending
                - expired
                - errored
              description: >-

                Payment method status.


                - `active`: The payment method is ready to be used.

                - `pending`: The payment method is pending activation or being
                validated.
                  
              example: active
            type:
              type: string
              enum:
                - direct_debit
                - direct_debit_ach
                - direct_debit_bacs
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: direct_debit
            account_number_ending:
              type:
                - string
                - 'null'
              description: Last characters of the account number.
              example: '6789'
          required:
            - id
            - status
            - type
            - account_number_ending
          title: Direct Debit
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - errored
              description: >-

                Payment method status.


                - `errored`: The payment method has failed and can no longer be
                used.
                  
              example: errored
            error_type:
              type: string
              enum:
                - authentication_required
                - authorization_error
                - insufficient_funds
                - declined
                - expired
                - fraud
                - invalid
                - mandate_invalid
                - not_supported
                - unknown
              description: >-

                Payment method error type.


                - `authentication_required`: The card was declined as the
                transaction requires authentication (e.g. 3-D Secure). The
                customer should go to their portal page and authenticate their
                card. If the error happened on an already authenticated
                transaction, the customer needs to contact their card issuer for
                more information.

                - `authorization_error`: A transaction authorization cannot be
                created for a variety of reasons such as the card issuer
                couldn't be reached, or the card requires a PIN.

                - `declined`: The payment method was declined for a variety of
                reasons such as a card reported as lost or stolen, insufficient
                funds or reaching the limit available on the method to complete
                the purchase, a payment method on a known block list, etc.

                - `expired`: The payment method is expired. The customer should
                go to their portal page and change their payment method.

                - `fraud`: The payment provider suspected the payment method was
                fraudulent and has been blocked. Don't report more detailed
                information to your customer, and check on your provider
                account.

                - `invalid`: The payment method is invalid in most cases because
                of incorrect details (card/account number, CVC, expiration date,
                postal code).

                - `not_supported`: The payment method doesn't support this type
                of purchase (e.g. currency, online payment).

                - `unknown`: A generic error happened on the payment provider
                side.
                  
              example: expired
            type:
              type: string
              enum:
                - direct_debit
                - direct_debit_ach
                - direct_debit_bacs
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: direct_debit
            account_number_ending:
              type:
                - string
                - 'null'
              description: Last characters of the account number.
              example: '6789'
          required:
            - id
            - status
            - error_type
            - type
            - account_number_ending
          title: Direct Debit (errored)
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - active
                - pending
                - expired
                - errored
              description: >-

                Payment method status.


                - `active`: The payment method is ready to be used.

                - `pending`: The payment method is pending activation or being
                validated.
                  
              example: active
            type:
              type: string
              enum:
                - stripe_link
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: stripe_link
          required:
            - id
            - status
            - type
          title: Stripe Link
        - type: object
          properties:
            id:
              type: string
              description: Payment method ID.
              example: pm_1xMpj5bwRqN7LM
            status:
              type: string
              enum:
                - errored
              description: >-

                Payment method status.


                - `errored`: The payment method has failed and can no longer be
                used.
                  
              example: errored
            error_type:
              type: string
              enum:
                - authentication_required
                - authorization_error
                - insufficient_funds
                - declined
                - expired
                - fraud
                - invalid
                - mandate_invalid
                - not_supported
                - unknown
              description: >-

                Payment method error type.


                - `authentication_required`: The card was declined as the
                transaction requires authentication (e.g. 3-D Secure). The
                customer should go to their portal page and authenticate their
                card. If the error happened on an already authenticated
                transaction, the customer needs to contact their card issuer for
                more information.

                - `authorization_error`: A transaction authorization cannot be
                created for a variety of reasons such as the card issuer
                couldn't be reached, or the card requires a PIN.

                - `declined`: The payment method was declined for a variety of
                reasons such as a card reported as lost or stolen, insufficient
                funds or reaching the limit available on the method to complete
                the purchase, a payment method on a known block list, etc.

                - `expired`: The payment method is expired. The customer should
                go to their portal page and change their payment method.

                - `fraud`: The payment provider suspected the payment method was
                fraudulent and has been blocked. Don't report more detailed
                information to your customer, and check on your provider
                account.

                - `invalid`: The payment method is invalid in most cases because
                of incorrect details (card/account number, CVC, expiration date,
                postal code).

                - `not_supported`: The payment method doesn't support this type
                of purchase (e.g. currency, online payment).

                - `unknown`: A generic error happened on the payment provider
                side.
                  
              example: expired
            type:
              type: string
              enum:
                - stripe_link
              description: |-

                Payment method type.

                - `card`: Credit or debit card
                - `apple_pay`: Apple Pay
                - `google_pay`: Google Pay
                - `direct_debit_sepa`: SEPA Direct Debit
                - `direct_debit_ach`: ACH Direct Debit
                - `direct_debit_bacs`: Bacs Direct Debit
                - `stripe_link`: Stripe Link
                  
              example: stripe_link
          required:
            - id
            - status
            - error_type
            - type
          title: Stripe Link (errored)
        - type: 'null'
    BankAccount:
      allOf:
        - type: object
          properties:
            id:
              type: string
              description: Bank account ID.
              example: bac_KJyPrMA1toAqRG
            currency:
              type: string
              enum:
                - EUR
                - AED
                - AFN
                - XCD
                - ALL
                - AMD
                - AOA
                - ARS
                - USD
                - AUD
                - AWG
                - AZN
                - BAM
                - BBD
                - BDT
                - BGN
                - BHD
                - BIF
                - XOF
                - BMD
                - BND
                - BOB
                - BRL
                - BSD
                - BTN
                - NOK
                - BWP
                - BYR
                - BZD
                - CAD
                - CDF
                - XAF
                - CHF
                - NZD
                - CLP
                - CNY
                - COP
                - CRC
                - CUP
                - CVE
                - ANG
                - CZK
                - DJF
                - DKK
                - DOP
                - DZD
                - EGP
                - MAD
                - ERN
                - ETB
                - FJD
                - FKP
                - GBP
                - GEL
                - GHS
                - GIP
                - GMD
                - GNF
                - GTQ
                - GYD
                - HKD
                - HNL
                - HRK
                - HTG
                - HUF
                - IDR
                - ILS
                - INR
                - IQD
                - IRR
                - ISK
                - JMD
                - JOD
                - JPY
                - KES
                - KGS
                - KHR
                - KMF
                - KPW
                - KRW
                - KWD
                - KYD
                - KZT
                - LAK
                - LBP
                - LKR
                - LRD
                - LSL
                - LYD
                - MDL
                - MGA
                - MKD
                - MMK
                - MNT
                - MOP
                - MRO
                - MUR
                - MVR
                - MWK
                - MXN
                - MYR
                - MZN
                - NAD
                - XPF
                - NGN
                - NIO
                - NPR
                - OMR
                - PAB
                - PEN
                - PGK
                - PHP
                - PKR
                - PLN
                - PYG
                - QAR
                - RON
                - RSD
                - RUB
                - RWF
                - SAR
                - SBD
                - SCR
                - SDG
                - SEK
                - SGD
                - SHP
                - SLL
                - SOS
                - SRD
                - SSP
                - STD
                - SYP
                - SZL
                - THB
                - TJS
                - TMT
                - TND
                - TOP
                - TRY
                - TTD
                - TWD
                - TZS
                - UAH
                - UGX
                - UYU
                - UZS
                - VEF
                - VND
                - VUV
                - WST
                - YER
                - ZAR
                - ZMW
                - ZWL
              description: Bank account currency.
              example: EUR
            bank_name:
              type:
                - string
                - 'null'
              description: Bank name.
              example: Fake bank
          required:
            - id
            - currency
            - bank_name
        - anyOf:
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - iban_bic_swift
                iban:
                  type: string
                bic_swift:
                  type:
                    - string
                    - 'null'
              required:
                - format
                - iban
                - bic_swift
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - sort_code_account_number
                sort_code:
                  type: string
                account_number:
                  type: string
              required:
                - format
                - sort_code
                - account_number
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - account_number_routing_number
                account_number:
                  type: string
                routing_number:
                  type: string
              required:
                - format
                - account_number
                - routing_number
            - type: object
              properties:
                format:
                  type: string
                  enum:
                    - account_number_bic_swift
                account_number:
                  type: string
                bic_swift:
                  type: string
              required:
                - format
                - account_number
                - bic_swift
          example:
            format: iban_bic_swift
            iban: FR76XXXXXXXXXXXXXXXXXXXXXXX
            bic_swift: XXXXXXXX
    Address:
      type:
        - object
        - 'null'
      properties:
        name:
          type:
            - string
            - 'null'
          description: Address name.
          example: Acme
        line1:
          type:
            - string
            - 'null'
          description: Address first line.
          example: 5 rue de Paradis
        line2:
          type:
            - string
            - 'null'
          description: Address second line (optional).
          example: null
        city:
          type:
            - string
            - 'null'
          description: Address city.
          example: Paris
        zip:
          type:
            - string
            - 'null'
          description: Address ZIP code.
          example: '75010'
        state:
          type:
            - string
            - 'null'
          enum:
            - AA
            - AE
            - AK
            - AL
            - AP
            - AR
            - AS
            - AZ
            - CA
            - CO
            - CT
            - DC
            - DE
            - FL
            - GA
            - GU
            - HI
            - IA
            - ID
            - IL
            - IN
            - KS
            - KY
            - LA
            - MA
            - MD
            - ME
            - MI
            - MN
            - MO
            - MP
            - MS
            - MT
            - NC
            - ND
            - NE
            - NH
            - NJ
            - NM
            - NV
            - NY
            - OH
            - OK
            - OR
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VA
            - VI
            - VT
            - WA
            - WI
            - WV
            - WY
          description: >-
            Only for US country. Second part of subdivision code in ISO format.
            See [ISO 3166-2:US](https://en.wikipedia.org/wiki/ISO_3166-2:US).
          example: CA
        country:
          type:
            - string
            - 'null'
          enum:
            - AD
            - AE
            - AF
            - AG
            - AI
            - AL
            - AM
            - AO
            - AQ
            - AR
            - AS
            - AT
            - AU
            - AW
            - AX
            - AZ
            - BA
            - BB
            - BD
            - BE
            - BG
            - BH
            - BI
            - BJ
            - BL
            - BM
            - BN
            - BO
            - BQ
            - BR
            - BS
            - BT
            - BF
            - BV
            - BW
            - BY
            - BZ
            - CA
            - CC
            - CD
            - CF
            - CG
            - CH
            - CI
            - CK
            - CL
            - CM
            - CN
            - CO
            - CR
            - CU
            - CV
            - CW
            - CX
            - CY
            - CZ
            - DE
            - DJ
            - DK
            - DM
            - DO
            - DZ
            - EC
            - EE
            - EG
            - EH
            - ER
            - ES
            - ET
            - FI
            - FJ
            - FK
            - FM
            - FO
            - FR
            - GA
            - GB
            - GD
            - GE
            - GF
            - GG
            - GH
            - GI
            - GL
            - GM
            - GN
            - GP
            - GQ
            - GR
            - GS
            - GT
            - GU
            - GW
            - GY
            - HK
            - HM
            - HN
            - HR
            - HT
            - HU
            - IC
            - ID
            - IE
            - IL
            - IM
            - IN
            - IO
            - IQ
            - IR
            - IS
            - IT
            - JE
            - JM
            - JO
            - JP
            - KE
            - KG
            - KH
            - KI
            - KM
            - KN
            - KP
            - KR
            - KW
            - KY
            - KZ
            - LA
            - LB
            - LC
            - LI
            - LK
            - LR
            - LS
            - LT
            - LU
            - LV
            - LY
            - MA
            - MC
            - MD
            - ME
            - MF
            - MG
            - MH
            - MK
            - ML
            - MM
            - MN
            - MO
            - MP
            - MQ
            - MR
            - MS
            - MT
            - MU
            - MV
            - MW
            - MX
            - MY
            - MZ
            - NA
            - NC
            - NE
            - NF
            - NG
            - NI
            - NL
            - 'NO'
            - NP
            - NR
            - NU
            - NZ
            - OM
            - PA
            - PE
            - PF
            - PG
            - PH
            - PK
            - PL
            - PM
            - PN
            - PR
            - PS
            - PT
            - PT-20
            - PT-30
            - PW
            - PY
            - QA
            - RE
            - RO
            - RS
            - RU
            - RW
            - SA
            - SB
            - SC
            - SD
            - SE
            - SG
            - SH
            - SI
            - SJ
            - SK
            - SL
            - SM
            - SN
            - SO
            - SR
            - SS
            - ST
            - SV
            - SX
            - SY
            - SZ
            - TC
            - TD
            - TF
            - TG
            - TH
            - TJ
            - TK
            - TL
            - TM
            - TN
            - TO
            - TR
            - TT
            - TV
            - TW
            - TZ
            - UA
            - UG
            - UM
            - US
            - UY
            - UZ
            - VA
            - VC
            - VE
            - VG
            - VI
            - VN
            - VU
            - WF
            - WS
            - XK
            - YE
            - YT
            - ZA
            - ZM
            - ZW
          description: >-
            Two-letter country code in ISO format. See [ISO 3166-1
            alpha-2](https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2).
          example: FR
      description: Customer billing address.
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````